| Flutter Impeller |

Public Member Functions | List of all members
impeller::interop::GlyphInfo Class Referencefinal

Internal C++ peer of ImpellerGlyphInfo. For detailed documentation, refer to the headerdocs in the public API in impeller.h. More...

`#include <glyph_info.h>`

Inheritance diagram for impeller::interop::GlyphInfo:

## Public Member Functions
| GlyphInfo (skia::textlayout::Paragraph::GlyphInfo info)
| ~GlyphInfo ()
| GlyphInfo (const GlyphInfo &)=delete
GlyphInfo & | operator= (const GlyphInfo &)=delete
size_t | GetGraphemeClusterCodeUnitRangeBegin () const
size_t | GetGraphemeClusterCodeUnitRangeEnd () const
ImpellerRect | GetGraphemeClusterBounds () const
bool | IsEllipsis () const
ImpellerTextDirection | GetTextDirection () const
Public Member Functions inherited from impeller::interop::ObjectBase
| ObjectBase ()=default
virtual | ~ObjectBase ()=default
| ObjectBase (const ObjectBase &)=delete
| ObjectBase (ObjectBase &&)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
ObjectBase & | operator= (ObjectBase &&)=delete
void | Retain ()
void | Release ()
uint64_t | GetRefCountForTests () const

## Additional Inherited Members
Public Types inherited from impeller::interop::Object< GlyphInfo, IMPELLER_INTERNAL_HANDLE_NAME(ImpellerGlyphInfo)>
using | InteropClass = GlyphInfo
using | InteropCSibling = IMPELLER_INTERNAL_HANDLE_NAME(ImpellerGlyphInfo)
Static Public Member Functions inherited from impeller::interop::ObjectBase
static void | SafeRetain (void *ptr)
static void | SafeRelease (void *ptr)

## Detailed Description

Internal C++ peer of ImpellerGlyphInfo. For detailed documentation, refer to the headerdocs in the public API in impeller.h.

Definition at line 19 of file glyph_info.h.

## Constructor & Destructor Documentation

## ◆ GlyphInfo() [1/2]

impeller::interop::GlyphInfo::GlyphInfo | ( | skia::textlayout::Paragraph::GlyphInfo | info | ) |
| inlineexplicit

Definition at line 23 of file glyph_info.h.

24 : info_(info) {}

## ◆ ~GlyphInfo()

impeller::interop::GlyphInfo::~GlyphInfo | ( |  | ) |
| default

## ◆ GlyphInfo() [2/2]

impeller::interop::GlyphInfo::GlyphInfo | ( | const GlyphInfo & |  | ) |
| delete

## Member Function Documentation

## ◆ GetGraphemeClusterBounds()

ImpellerRect impeller::interop::GlyphInfo::GetGraphemeClusterBounds | ( |  | ) | const

See also
  ImpellerGlyphInfoGetGraphemeClusterBounds.

Definition at line 19 of file glyph_info.cc.

19 {
20 return ImpellerRect{
21 info_.fGraphemeLayoutBounds.y(),
22 info_.fGraphemeLayoutBounds.x(),
23 info_.fGraphemeLayoutBounds.width(),
24 info_.fGraphemeLayoutBounds.height(),
25 };
26 }
ImpellerRect
Definition: impeller.h:502

## ◆ GetGraphemeClusterCodeUnitRangeBegin()

size_t impeller::interop::GlyphInfo::GetGraphemeClusterCodeUnitRangeBegin | ( |  | ) | const

See also
  ImpellerGlyphInfoGetGraphemeClusterCodeUnitRangeBegin.

Definition at line 11 of file glyph_info.cc.

11 {
12 return info_.fGraphemeClusterTextRange.start;
13 }

## ◆ GetGraphemeClusterCodeUnitRangeEnd()

size_t impeller::interop::GlyphInfo::GetGraphemeClusterCodeUnitRangeEnd | ( |  | ) | const

See also
  ImpellerGlyphInfoGetGraphemeClusterCodeUnitRangeEnd.

Definition at line 15 of file glyph_info.cc.

15 {
16 return info_.fGraphemeClusterTextRange.end;
17 }

## ◆ GetTextDirection()

ImpellerTextDirection impeller::interop::GlyphInfo::GetTextDirection | ( |  | ) | const

See also
  ImpellerGlyphInfoGetTextDirection.

Definition at line 32 of file glyph_info.cc.

32 {
33 switch (info_.fDirection) {
34 case skia::textlayout::TextDirection::kRtl:
35 return kImpellerTextDirectionRTL;
36 case skia::textlayout::TextDirection::kLtr:
37 return kImpellerTextDirectionLTR;
38 }
39 return kImpellerTextDirectionLTR;
40 }
kImpellerTextDirectionLTR
@ kImpellerTextDirectionLTR
Definition: impeller.h:481
kImpellerTextDirectionRTL
@ kImpellerTextDirectionRTL
Definition: impeller.h:480

References kImpellerTextDirectionLTR, and kImpellerTextDirectionRTL.

## ◆ IsEllipsis()

bool impeller::interop::GlyphInfo::IsEllipsis | ( |  | ) | const

See also
  ImpellerGlyphInfoIsEllipsis.

Definition at line 28 of file glyph_info.cc.

28 {
29 return info_.fIsEllipsis;
30 }

## ◆ operator=()

GlyphInfo& impeller::interop::GlyphInfo::operator= | ( | const GlyphInfo & |  | ) |
| delete

The documentation for this class was generated from the following files:

- impeller/toolkit/interop/glyph_info.h
- impeller/toolkit/interop/glyph_info.cc